// BePrint 1.000 by Earl Colby Pottinger. 
// Partly based on code found in the Beos CDROM 
// Partly based on instructions found in "Programming the Be Operating System" By Dan Parks Sydow. 
// Additional help by Larry Baydak in debugging and coding/commenting style.

// Constants Messages for menu commands.
const uint32 MENU_FILE_SETUP  = 'MFps'; // Setup page margins.
const uint32 MENU_FILE_PRINT  = 'MFpr'; // Print a flie or clipping.
const uint32 MENU_FILE_QUIT   = 'MFqu'; // Exit program.

const uint32 MENU_PRINTER_PAR1 = 'MPp1'; // Printer's Parallel port 1 interface.
const uint32 MENU_PRINTER_PAR2 = 'MPp2'; // Printer's Parallel port 2 interface.
const uint32 MENU_PRINTER_SER1 = 'MPs1'; // Printer's Serial port 1 interface.
const uint32 MENU_PRINTER_SER2 = 'MPs2'; // Printer's Serial port 2 interface.
const uint32 MENU_PRINTER_PRNT = 'MPpf'; // Printer's Print to File.

const uint32 MENU_MODE_LINE_T     = 'MMtr'; // Truncate extra long lines of text.
const uint32 MENU_MODE_LINE_L     = 'MMlw'; // LineWrap extra long lines of text.
const uint32 MENU_MODE_LINE_W     = 'MMww'; // WordWrap extra long lines of text.